Bug 735545 - Bug in Russian locale (null): i18n problem: invalid value for msgid "Y/N": Д/Н
Summary: Bug in Russian locale (null): i18n problem: invalid value for msgid "Y/N": Д/Н
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtypist
Version: 15
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Zing
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-03 11:02 UTC by Alexei Panov
Modified: 2011-12-06 00:59 UTC (History)
2 users (show)

Fixed In Version: gtypist-2.9-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 00:59:13 UTC


Attachments (Terms of Use)
Correspondence (2.30 KB, text/plain)
2011-09-03 11:02 UTC, Alexei Panov
no flags Details

Description Alexei Panov 2011-09-03 11:02:16 UTC
Created attachment 521329 [details]
Correspondence

Description of problem:
I've run gtypist as:
$ gtypist
(null): i18n problem: invalid value for msgid "Y/N": Д/Н
Application doesn't start.

Version-Release number of selected component (if applicable):
2.8.3-3.fc15

How reproducible:
always

Steps to Reproduce:
1. run LANG=ru_RU.UTF-8 gtypist
  
Actual results:
Application doesn't start with error message '(null): i18n problem: invalid value for msgid "Y/N": Д/Н'

Expected results:
Normal application work in Russian.

Additional info:
Also this bug present in version 2.8.5.
If I'll execute gtypist as 'LANG=C gtypist', application work correctly, but on English.

$ locale 
LANG=ru_RU.UTF-8
LC_CTYPE="ru_RU.UTF-8"
LC_NUMERIC="ru_RU.UTF-8"
LC_TIME="ru_RU.UTF-8"
LC_COLLATE="ru_RU.UTF-8"
LC_MONETARY="ru_RU.UTF-8"
LC_MESSAGES="ru_RU.UTF-8"
LC_PAPER="ru_RU.UTF-8"
LC_NAME="ru_RU.UTF-8"
LC_ADDRESS="ru_RU.UTF-8"
LC_TELEPHONE="ru_RU.UTF-8"
LC_MEASUREMENT="ru_RU.UTF-8"
LC_IDENTIFICATION="ru_RU.UTF-8"
LC_ALL=

I've sent this bug on bug-gtypist@gnu.org and from developer have answer (see attachment).

May be you can build packages for Fedora 15 and 16 with UTF-8 support enabled.

Comment 1 edam 2011-11-02 16:38:08 UTC
This has been fixed upstream (in gtypist 2.9), which now supports UTF-8.

Comment 2 Fedora Update System 2011-11-04 15:43:20 UTC
gtypist-2.9-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gtypist-2.9-1.fc15

Comment 3 Fedora Update System 2011-11-05 23:58:17 UTC
Package gtypist-2.9-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gtypist-2.9-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15499
then log in and leave karma (feedback).

Comment 4 Alexei Panov 2011-11-06 08:07:39 UTC
I've checked update. All works fine.
Thanks.

Comment 5 Fedora Update System 2011-12-06 00:59:13 UTC
gtypist-2.9-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.